package com.mjsheng.myappstore.activity;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.TextView;

import com.blankj.utilcode.util.AppUtils;
import com.mjsheng.myappstore.R;
import com.mjsheng.myappstore.base.BaseActivity;

import cn.jpush.android.api.JPushInterface;

public class AboutActivity extends BaseActivity {
    private TextView mTv_version_code;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_about);
        mTv_version_code = (TextView) findViewById(R.id.tv_version_code);
        mTv_version_code.setText("版本号：" + AppUtils.getAppVersionName() + "");
        mTv_version_code.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                String registrationID = JPushInterface.getRegistrationID(AboutActivity.this);
                Log.e("mjsheng", registrationID + "------------------------");
//                ToastUtils.showLong("registrationID::" + registrationID);
            }
        });
    }


    public void onClick(View view) {
        finish();
    }
}
